::
::  INSTALL.BAT for FSLOGIN v2
::
@echo off
cls
if exist fslogin.ovl goto m_main
echo    ͸
echo                                                                          
echo     This batch file should be run from the same drive and directory      
echo     where the other files of the FSLOGIN package reside. Please change   
echo     the current drive and directory first.                               
echo                                                                          
echo    ;
echo\
pause
goto end
::
:m_main
::
cls
echo    ͸
echo     INSTALL.BAT                                               FSLOGIN v2 
echo                                                                          
echo     This batch file installs FSLOGIN on a server or on a workstation.    
echo                                                                          
echo     When a server installation has to be done, make sure you're logged   
echo     with a SUPERVISOR or EQUIVALENT account, because FSLOGIN files must  
echo     be copied to the SYS:LOGIN and SYS:PUBLIC directories.               
echo                                                                          
echo     F1 = Install on local disk    (usefull for evaluation by Supervisor) 
echo                                                                          
echo     F2 = Install on server        (makes FSLOGIN available for users)    
echo                                                                          
echo     F3 = Update on server         (preserve FSLOGIN.INI, then install)   
echo                                                                          
echo     F9 = Quit this procedure                                             
echo                                                                          
echo    ;
echo\
fk 1239
if errorlevel 9 goto end
if errorlevel 3 goto i_update
if errorlevel 2 goto i_server
if errorlevel 1 goto i_local
::
:i_local
::
cls
echo    ͸
echo     LOCAL INSTALL                                             FSLOGIN v2 
echo                                                                          
echo     The Local Installation option places all the FSLOGIN files in a      
echo     directory on a local hard disk. If you want to have a look at this   
echo     software without installing on a server, this is the option to use.  
echo                                                                          
echo     Once installed, FSLOGIN should be started with a command line option 
echo     that 'tells' FSLOGIN to read it's INI file (FSLOGIN.INI) from the    
echo     local disk instead from the SYS:LOGIN directory.                     
echo     Since the INI file contains information that regular users should    
echo     not be able to change, this is an exception to the rule. In a normal 
echo     operational environment the INI file is always taken from SYS:LOGIN. 
echo                                                                          
echo     Continue?  'Y'es or 'N'o.                                            
echo    ;
yesno
if NOT errorlevel 1 goto m_main
::
:i_loc_2
::
echo\
what S "   Which directory to install: "
if exist %WHAT%\nul goto i_loc_3
echo\
echo    Create this directory, 'Y'es or 'N'o?
yesno
if NOT errorlevel 1 goto i_loc_2
md %WHAT%
::
:i_loc_3
::
set L_RET=i_loc_4
goto l_menu
::
:i_loc_4
::
cls
copy fslogin.* %WHAT%
cd %WHAT%
echo\
echo    ͸
echo     LOCAL INSTALL                                             FSLOGIN v2 
echo                                                                          
echo     The Local Installation is complete. Please start FSLOGIN with the    
echo     following command line option to use the locally installed files:    
echo                                                                          
echo     FSLOGIN !LI                 (actually this is case INsensitive...)   
echo                                                                          
echo     For more information see the readme.txt file that is part of the     
echo     archive file or the diskette.                                        
echo                                                                          
echo    ;
echo\
goto end
::
:i_server
::
cls
echo    ͸
echo     SERVER INSTALL                                            FSLOGIN v2 
echo                                                                          
echo     The Server Installation option places the FSLOGIN files in the SYS:  
echo     LOGIN and the SYS:PUBLIC directories on the default server.          
echo                                                                          
echo     Use the Server Installation when you do not have a previously        
echo     installed version of FSLOGIN on the server, or when the previously   
echo     used version can be replaced by this new version. The old files are  
echo     NOT preserved in this case.                                          
echo                                                                          
echo                                                                          
echo     Continue?  'Y'es or 'N'o.                                            
echo    ;
yesno
if NOT errorlevel 1 goto m_main
::
:i_ser_2
::
cls
if exist sys:login\fslogin.*    flag sys:login\fslogin.*    n >nul
if exist sys:public\fslogin.com flag sys:public\fslogin.com n >nul
set  L_RET=i_ser_3
goto l_menu
::
:i_ser_3
::
cls
ncopy fslogin.*   sys:login
ncopy fslogin.com sys:public
ser_ver
if errorlevel 4 goto nw_4
::
:: This is the Netware 2.x and 3.x syntax of the FLAG command
::
flag  sys:login\fslogin.* s
flag  sys:public\fslogin.com s
goto flag_done
::
:nw_4
::
:: This is the Netware 4.x syntax of the FLAG command
::
flag  sys:login\fslogin.* sh
flag  sys:public\fslogin.com sh
::
:flag_done
::
pause
cls
echo\
echo    ͸
echo     INSTALL                                                   FSLOGIN v2 
echo                                                                          
echo     The Installation is complete. Please refer to the README.TXT, or     
echo     better, the manual for more information.                             
echo                                                                          
echo    ;
echo\
goto end
::
:i_update
::
cls
echo    ͸
echo     SERVER UPDATE                                             FSLOGIN v2 
echo                                                                          
echo     The Server Update option preserves the current FSLOGIN.INI, which    
echo     could contain valuable customization settings that you do not want   
echo     to loose. To play it save, it's even better to compare the contents  
echo     of the current INI file with the INI file that comes with this       
echo     version and makes modifications BEFORE running the Server Update     
echo     procedure.                                                           
echo                                                                          
echo     When updating from version 1 of FSLOGIN to version 2, the INI file   
echo     should be replaced.                                                  
echo                                                                          
echo     Continue?  'Y'es or 'N'o.                                            
echo    ;
yesno
if NOT errorlevel 1 goto m_main
::
:i_upd_2
::
cls
if exist sys:login\fslold.ini flag  sys:login\fslold.ini n 
if exist sys:login\fslogin.ini ncopy sys:login\fslogin.ini sys:login\fslold.ini
goto i_ser_2
::
:l_menu
::
cls
echo    ͸
echo     LANGUAGE                                                             
echo                                                                          
echo     FSLOGIN has support for several languages. Please select one of the  
echo     following languages.                                                 
echo     When installation is complete, you could check the file FSLOGIN.INI, 
echo     and make modifications to various text items if needed.              
echo                                                                          
echo     F1 = English                                                         
echo                                                                          
echo     F2 = Dutch    / Nederlands                                           
echo                                                                          
echo     F3 = German   / Deutsch                                              
echo                                                                          
echo     F4 = French   / Francais                                             
echo                                                                          
echo     F9 = Quit this procedure                                             
echo                                                                          
echo    ;
echo\
fk 12349
cls
if errorlevel 9 goto end
if errorlevel 5 goto l_se
if errorlevel 4 goto l_fr
if errorlevel 3 goto l_de
if errorlevel 2 goto l_nl
if errorlevel 1 goto l_us
::
:l_se
::
    copy SE.* fslogin.* >nul
    goto %L_RET%
::
:l_fr
::
    copy FR.* fslogin.* >nul
    goto %L_RET%
::
:l_de
::
    copy DE.* fslogin.* >nul
    goto %L_RET%
::
:l_nl
::
    copy NL.* fslogin.* >nul
    goto %L_RET%
::
:l_us
::
    copy US.* fslogin.* >nul
    goto %L_RET%
::
:end
::
